------------------------------------------------------------------------------
-- SellableItemDrops - Logging your sellable item drops
------------------------------------------------------------------------------
-- Changelog.lua
--
-- Author: Expelliarm5s / January 2020 / All Rights Reserved
--
-- Version 0.4.17
------------------------------------------------------------------------------
-- luacheck: max line length 280

local _, addon = ...
------------------------------------------------------------------------------

addon.Changelog = {}

addon.Changelog.Changelog =
[[

## Changelog ##

v0.3.4 .. v0.3.10: TSM3-Module
v0.4.7:
 - Rewrite as standalone addon and compatible with UJ, TSM 3 and 4.
v0.4.8:
 - Fix: deleting items mit Alt-Right-Click / update item lists if GetItemInfo() failed
 - New: extra vendorsell item list option and a lesser size if shrinked
v0.4.9:
 - Fix EditBox widget use
v0.4.11:
 - Auctioning items at AH directly from bags tab using Auctionator and Fix for 8.2.x
v0.4.12:
 - updated soundfile FileDataIDs due to the removal of file paths
v0.4.13:
 - fixing Tooltip and Sound for Classic
v0.4.15:
 - Update for 8.2.5 and a new Stacked View mode
v0.4.15:
 - in Classic: can now use Booty Bay Gazette and Auction House Database as price source
v0.4.16:
 - Fix for broken TSM4 API
v0.4.17:
 - fully luachecked, cleaned libs, fixed some leaked globals, update for 8.3 and 1.13.3
 ]]

addon.Changelog.ToDo =
[[

## Things To Do ##
- better vendorsell itemlists
- redoo shrink stuff
- count real instance resets with timer
- key = Item:GetItemInfo(val) stuff
- convert and/or import old data, clean up variables
- more Tabs: Bank/Guild Bank/Tools/Statistics/Search/Export
]]

addon.Changelog.infotext =
[[
Sellable Item Drops remembers your looted items.

A list shows the name, time, location of each dropped item and its market value based on a selectable Trade Skill Master v3 or v4 or The Undermine Journal price source.

The current session data can be archived in a database and that database of previous sessions can be searched for items and more.

Sellable Item Drops is helpful during competitive Transmog Challenge Runs or when farming instances or locations to track the accumulated market value of all dropped items over a given time period.

In Stacked View mode all dropped, same items are combined and their market values are displayed summed up.

Looted BOP pet items will display the appropriate value for the caged pet.

Sellable Item Drops provides a sortable list of all dropped items to identify rewarding farm locations or to document found items for yourself or others.

Sellable Item Drops works without any additional addons and then displays the vendor sell value of the items.

However, it may also use price sources from The Undermine Journal or Trade Skill Master Version 3 or 4. If TSM is used, the TSM Desktop App should also be installed for price source 'DBRegionMarketAvg' to be available.

The interface opens with /sid. Addon options are configured through the normal game options interface.

You can find me as Expelliarm5s on Curse.com/Curseforge.com and Twitch for suggestions and comments.
]]

addon.Changelog.infotextdeDE =
[[
Sellable Item Drops merkt sich alle erbeuteten und verkaufbaren Gegenstände, die während einer Farmsitzung droppen.

Es zeigt deren Namen, Fundort, Zeitpunkt und Marktwert, der durch eine einstellbare 'Trade Skill Master' v3 oder v4 oder 'The Undermine Journal'-Preisquelle ermittelt wird.

Alle Gegenstände werden in einer sortierbaren und durchsuchbaren Liste angezeigt. Über eine integrierte Chronik können auch die Ergebnisse vergangener Sitzungen angezeigt werden.

Falls die kombinierte Anzeige aktiviert ist, werden gleiche Items und deren Marktwerte zusammengezählt und dargestellt.

Beim Aufheben gebundene Haustier-Items werden erkannt und der Marktwert des entsprechenden 'eingepackten' Haustiers wird angezeigt.

Sellable Item Drops liefert eine sortierbare Liste aller gedroppten Gegenstände um lohnende Farmorte zu identifizieren oder um gefundene Gegenstände für sich oder andere zu dokumentieren.

Sellable Item Drops funktioniert auch ganz ohne andere Addons und zeigt dann den Händlerverkaufswert der Items an.

Besser ist es die Preisquellen von The Undermine Journal oder TradeSkillMaster Version 3 oder 4 zu verwenden.
Falls TSM verwendet wird, sollte auch die TSM Desktop App installiert sein um damit Preisquelle 'DBRegionMarketAvg' zur Verfügung zu haben.

Für Wünsche und Fragen bin ich als Expelliarm5s auf Curse.com/Curseforge.com und Twitch zu erreichen.
]]

-- EOF
